clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
USRFindingAction.cpp File Reference

Provides an action to rename every symbol at a point. More...

`#include "USRFindingAction.h"`
`#include "USRFinder.h"`
`#include "clang/AST/AST.h"`
`#include "clang/AST/ASTConsumer.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/Basic/FileManager.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendAction.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Refactoring.h"`
`#include "clang/Tooling/Tooling.h"`
`#include <ctype.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string>`
`#include <vector>`
Include dependency graph for USRFindingAction.cpp:

Go to the source code of this file.

## Classes
struct | clang::rename::NamedDeclFindingConsumer

## Namespaces
| clang
| clang::rename

## Functions
static std::vector< std::string > | clang::rename::getAllConstructorUSRs (const CXXRecordDecl *Decl)

## Detailed Description

Provides an action to rename every symbol at a point.

Definition in file USRFindingAction.cpp.